Index: /LMDZ6/branches/Amaury_dev/libf/phylmdiso/isotrac_routines_mod.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmdiso/isotrac_routines_mod.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmdiso/isotrac_routines_mod.F90	(revision 5116)
@@ -1334,27 +1325,27 @@
      
 #ifdef ISOVERIF       
-      write(*,*) ''
-      write(*,*) 'find bassin lat,lon=',lat,lon
+      WRITE(*,*) ''
+      WRITE(*,*) 'find bassin lat,lon=',lat,lon
 #endif       
       do while (continu)
 !#ifdef ISOVERIF       
-!!      write(*,*) 'find_bassin 169: lat,lon,bassin=',lat,lon,bassin
+!!      WRITE(*,*) 'find_bassin 169: lat,lon,bassin=',lat,lon,bassin
 !#endif       
-         if (is_in_bassin(lat,lon,bassin)) then
+         if (is_in_bassin(lat,lon,bassin)) THEN
                 continu=.FALSE.
 #ifdef ISOVERIF                 
-                write(*,*) 'find_bassin 173: trouve: bassin=',bassin
+                WRITE(*,*) 'find_bassin 173: trouve: bassin=',bassin
 #endif                 
          else
 !#ifdef ISOVERIF              
-!             write(*,*) 'find_bassin 175: pas trouve: bassin=',bassin
+!             WRITE(*,*) 'find_bassin 175: pas trouve: bassin=',bassin
 !#endif              
              bassin=bassin+1
          endif
-         if (bassin.eq.izone_poubelle) then
+         if (bassin.eq.izone_poubelle) THEN
                 continu=.FALSE.
                 bassin=izone_poubelle
 !#ifdef ISOVERIF                 
-!                write(*,*) 'find_bassin 179: poubelle: bassin=',bassin
+!                WRITE(*,*) 'find_bassin 179: poubelle: bassin=',bassin
 !#endif  
          endif
@@ -1372,7 +1363,7 @@
 
         SUBROUTINE initialise_bassins_boites(presnivs)
-        USE dimphy, only: klev
+        USE dimphy, ONLY: klev
         USE lmdz_geometry, ONLY: longitude_deg, latitude_deg
-        use isotrac_mod, only: bassin_map,option_traceurs,boite_map
+        use isotrac_mod, ONLY: bassin_map,option_traceurs,boite_map
 #ifdef ISOVERIF
         use isotopes_verif_mod
@@ -1381,14 +1372,14 @@
         real presnivs(klev)
 
-       if (option_traceurs.eq.3) then
+       if (option_traceurs.eq.3) THEN
            ! initialisation de bassin_map
            CALL bassin_map_init(latitude_deg,longitude_deg,bassin_map)
-       else if (option_traceurs.eq.20) then
+       else if (option_traceurs.eq.20) THEN
            ! initialisation de bassin_map selon < ou > 35° lat
-           write(*,*) 'physiq 1681: init de la map pour tag 20'
+           WRITE(*,*) 'physiq 1681: init de la map pour tag 20'
            CALL bassin_map_init_opt20(latitude_deg,bassin_map)
-       else if (option_traceurs.eq.5) then
+       else if (option_traceurs.eq.5) THEN
            CALL boite_AMMA_init(latitude_deg,longitude_deg,presnivs,boite_map)
-       else if (option_traceurs.eq.21) then
+       else if (option_traceurs.eq.21) THEN
            CALL boite_UT_extra_init(latitude_deg,longitude_deg,presnivs,boite_map)
        endif
@@ -1398,5 +1389,5 @@
 
         SUBROUTINE bassin_map_init(lat,lon,bassin_map)
-        USE dimphy, only: klon
+        USE dimphy, ONLY: klon
 #ifdef ISOVERIF
         use isotopes_verif_mod
@@ -1415,5 +1406,5 @@
              CALL find_bassin(lat(i),lon(i),bassin_map(i))
 #ifdef ISOVERIF              
-             write(*,*) 'init 233: i,lat,lon,bassin=',i,lat(i),lon(i), &
+             WRITE(*,*) 'init 233: i,lat,lon,bassin=',i,lat(i),lon(i), &
                   bassin_map(i)
 #endif             
@@ -1435,9 +1426,9 @@
 
 !#ifdef ISOVERIF        
-!        write(*,*) 'is_in_rectange 237: x,y=',x,y
-!        write(*,*) 'x1,y1,x2,y2=',x1,y1,x2,y2
+!        WRITE(*,*) 'is_in_rectange 237: x,y=',x,y
+!        WRITE(*,*) 'x1,y1,x2,y2=',x1,y1,x2,y2
 !#endif         
         if ((x-x2.lt.0.1).and.(x-x1.gt.-0.1).and. &
-                  (y-y1.lt.0.1).and.(y-y2.gt.-0.1)) then
+                  (y-y1.lt.0.1).and.(y-y2.gt.-0.1)) THEN
           is_in_rectangle=.TRUE.
         else
@@ -1445,8 +1436,8 @@
         endif
 !#ifdef ISOVERIF        
-!        write(*,*) 'is_in_rectangle=',is_in_rectangle
+!        WRITE(*,*) 'is_in_rectangle=',is_in_rectangle
 !#endif        
 
-        end function is_in_rectangle
+        END FUNCTION is_in_rectangle
 
         function is_in_triangle(x,y,x1,y1,x2,y2,x3,y3)
@@ -1468,6 +1459,6 @@
         real det3
 !#ifdef ISOVERIF
-!        write(*,*) 'is_in_triange 271: x,y=',x,y
-!        write(*,*) 'x1,y1,x2,y2,x3,y3=',x1,y1,x2,y2,x3,y3
+!        WRITE(*,*) 'is_in_triange 271: x,y=',x,y
+!        WRITE(*,*) 'x1,y1,x2,y2,x3,y3=',x1,y1,x2,y2,x3,y3
 !#endif        
         det1=(x1-x)*(y2-y)-(y1-y)*(x2-x)
@@ -1475,5 +1466,5 @@
         det3=(x3-x)*(y1-y)-(y3-y)*(x1-x)
         is_in_triangle=.FALSE.
-        if ((det1*det2.gt.0.0).and.(det2*det3.gt.0.0)) then
+        if ((det1*det2.gt.0.0).and.(det2*det3.gt.0.0)) THEN
           is_in_triangle=.TRUE.
         else
@@ -1481,14 +1472,14 @@
         endif
 !#ifdef ISOVERIF        
-!        write(*,*) 'det1,det2,det3,is_in_triangle',
+!        WRITE(*,*) 'det1,det2,det3,is_in_triangle',
 !     :         det1,det2,det3,is_in_triangle
 !#endif
 
-        end function is_in_triangle
+        END FUNCTION is_in_triangle
 
 
         SUBROUTINE isotrac_recolorise_tmin(xt,t)
-        USE dimphy, only: klon, klev
-        USE isotrac_mod, only: zone_temp,nzone_temp
+        USE dimphy, ONLY: klon, klev
+        USE isotrac_mod, ONLY: zone_temp,nzone_temp
 #ifdef ISOVERIF
         USE isotopes_verif_mod
@@ -1510,7 +1501,7 @@
           do i=1,klon
 !#ifdef ISOVERIF
-!            if (i.eq.1) then
-!                write(*,*) 'recolorise 396: i,k,t=',i,k,t(i,k)
-!                write(*,*) 'zone_temp=',zone_temp     
+!            if (i.eq.1) THEN
+!                WRITE(*,*) 'recolorise 396: i,k,t=',i,k,t(i,k)
+!                WRITE(*,*) 'zone_temp=',zone_temp
 !            endif
 !#endif           
@@ -1519,6 +1510,6 @@
 
 !#ifdef ISOVERIF
-!            if (i.eq.1) then
-!                write(*,*) 'recolorise 414: izone_temp=',izone_temp    
+!            if (i.eq.1) THEN
+!                WRITE(*,*) 'recolorise 414: izone_temp=',izone_temp
 !            endif
 !#endif            
@@ -1527,10 +1518,10 @@
                ! températures plus basses sont convertis
 !#ifdef ISOVERIF
-!            if (i.eq.1) then
-!                write(*,*) 'recolorise 405: izone,xt_eau=',
+!            if (i.eq.1) THEN
+!                WRITE(*,*) 'recolorise 405: izone,xt_eau=',
 !     :               izone,xt(index_trac(izone,iso_eau),i,k)  
 !            endif
 !#endif                 
-               if (izone.lt.izone_temp) then                   
+               if (izone.lt.izone_temp) THEN
                   do iiso=1,niso
                    ixt=index_trac(izone,iiso) ! emmetteur
@@ -1539,8 +1530,8 @@
                    xt(ixt,i,k)=0.0 
                   enddo !do iiso=1,niso
-               endif  !if (izone.lt.izone_temp) then
+               endif  !if (izone.lt.izone_temp) THEN
 !#ifdef ISOVERIF
-!            if (i.eq.1) then
-!                write(*,*) 'recolorise 419: xt_eau,xt_recoit=',
+!            if (i.eq.1) THEN
+!                WRITE(*,*) 'recolorise 419: xt_eau,xt_recoit=',
 !     :               xt(index_trac(izone,iso_eau),i,k),
 !     :               xt(index_trac(izone_temp,iso_eau),i,k)
@@ -1573,6 +1564,6 @@
 
         SUBROUTINE isotrac_recolorise_tmin_sfrev(xt,t)
-        USE dimphy, only: klon,klev
-        USE isotrac_mod, only: nzone_temp,zone_temp
+        USE dimphy, ONLY: klon,klev
+        USE isotrac_mod, ONLY: nzone_temp,zone_temp
 #ifdef ISOVERIF
         USE isotopes_verif_mod
@@ -1603,5 +1594,5 @@
                ! sauf la revap
                ! le tag de la revap est nzone_temp+1=ntraceurs_zone
-               if (izone.lt.izone_temp) then                   
+               if (izone.lt.izone_temp) THEN
                   do iiso=1,niso
                    ixt=index_trac(izone,iiso) ! emmetteur
@@ -1610,5 +1601,5 @@
                    xt(ixt,i,k)=0.0 
                   enddo !do iiso=1,niso
-               endif  !if (izone.lt.izone_temp) then
+               endif  !if (izone.lt.izone_temp) THEN
             enddo !do izone=1,zone_pot(k)-1
 
@@ -1629,5 +1620,5 @@
 
         SUBROUTINE isotrac_recolorise_saturation(xt,rh,lat,pres)
-        USE dimphy, only: klon,klev
+        USE dimphy, ONLY: klon,klev
 #ifdef ISOVERIF
         USE isotopes_verif_mod
@@ -1665,8 +1656,8 @@
         do k=3,klev
           do i=1,klon
-            if (rh(i,k).gt.rh_seuil) then
+            if (rh(i,k).gt.rh_seuil) THEN
                 izone_recoit=index_zone_latpres(lat(i),pres(k))
                 do izone=1,ntraceurs_zone
-                 if (izone.ne.izone_recoit) then
+                 if (izone.ne.izone_recoit) THEN
                   do iiso=1,niso
                    ixt=index_trac(izone,iiso) ! emmetteur
@@ -1677,5 +1668,5 @@
                  endif
                 enddo !do izone=1,ntraceurs_zone
-            endif !if (rh(i,k).gt.rh_seuil) then
+            endif !if (rh(i,k).gt.rh_seuil) THEN
           enddo !do i=1,klon
         enddo !do k=1,klev
@@ -1693,5 +1684,5 @@
 
         SUBROUTINE isotrac_recolorise_boite(xt,boite_map)
-        USE dimphy, only: klon,klev
+        USE dimphy, ONLY: klon,klev
 #ifdef ISOVERIF
         USE isotopes_verif_mod
@@ -1714,9 +1705,9 @@
           do i=1,klon
             izone_recoit=boite_map(i,k)
-            if (izone_recoit.gt.0) then
+            if (izone_recoit.gt.0) THEN
                 ! on est dans une boite connue
                 ! toutes les molécules sont converties en cete couleur
                do izone=1,ntraceurs_zone
-                  if (izone.ne.izone_recoit) then
+                  if (izone.ne.izone_recoit) THEN
                       ! on met les traceurs izone dans izone_recoit
                       do iiso=1,niso
@@ -1727,7 +1718,7 @@
                         xt(ixt,i,k)=0.0
                       enddo
-                  endif !if (izone.ne.izone_recoit) then
+                  endif !if (izone.ne.izone_recoit) THEN
                enddo !do izone=2,ntraceurs_zone
-            endif !if (izone_recoit.gt.0) then
+            endif !if (izone_recoit.gt.0) THEN
           enddo !do i=1,klon
         enddo !do k=1,klev
@@ -1745,6 +1736,6 @@
 
         SUBROUTINE isotrac_recolorise_extra(xt,rlat)
-        USE dimphy, only: klon,klev
-        usE isotrac_mod, only: lim_tag20,izone_trop,izone_extra
+        USE dimphy, ONLY: klon,klev
+        usE isotrac_mod, ONLY: lim_tag20,izone_trop,izone_extra
 #ifdef ISOVERIF
         USE isotopes_verif_mod
@@ -1764,8 +1755,8 @@
         integer iiso,ixt,ixt_recoit
        
-!        write(*,*) 'iso_traceurs_routines 723: lim_tag20=',lim_tag20
+!        WRITE(*,*) 'iso_traceurs_routines 723: lim_tag20=',lim_tag20
         do k=1,klev
           do i=1,klon
-            if (abs(rlat(i)).gt.lim_tag20) then
+            if (abs(rlat(i)).gt.lim_tag20) THEN
                 ! on met les traceurs izone_trop dans izone_extra
                 do iiso=1,niso
@@ -1776,5 +1767,5 @@
                         xt(ixt,i,k)=0.0
                  enddo                  
-            endif ! if (abs(rlat(i)).lt.35.0) then
+            endif ! if (abs(rlat(i)).lt.35.0) THEN
           enddo !do i=1,klon
         enddo !do k=1,klev
@@ -1792,6 +1783,6 @@
 
         SUBROUTINE isotrac_recolorise_conv(xt,rlat,presnivs,rain_con)
-        USE dimphy, only: klon,klev
-        use isotrac_mod, only: lim_precip_tag22, &
+        USE dimphy, ONLY: klon,klev
+        use isotrac_mod, ONLY: lim_precip_tag22, &
 &       izone_conv_BT,izone_conv_UT
 #ifdef ISOVERIF
@@ -1814,19 +1805,18 @@
         integer iiso,ixt,ixt_recoit,izone
        
-!        write(*,*) 'iso_traceurs_routines 723: lim_tag20=',lim_tag20
-!        write(*,*) 'presnivs=',presnivs
+!        WRITE(*,*) 'iso_traceurs_routines 723: lim_tag20=',lim_tag20
+!        WRITE(*,*) 'presnivs=',presnivs
 !        stop
         do k=1,klev
           do i=1,klon
 #ifdef ISOVERIF
-          if ((abs(rlat(i)).lt.30.0).and.(k.eq.1)) then
+          if ((abs(rlat(i)).lt.30.0).and.(k.eq.1)) THEN
           endif
 #endif          
             if ((abs(rlat(i)).lt.30.0).and. &
-                  (rain_con(i)*86400.gt.lim_precip_tag22)) then
-            
+                  (rain_con(i)*86400.gt.lim_precip_tag22)) THEN
                 ! on met les traceurs izone_trop dans izone_conv fn z                
                 do iiso=1,niso
-                  if (presnivs(k).gt.650.0*100.0) then
+                  if (presnivs(k).gt.650.0*100.0) THEN
                     ixt_recoit=index_trac(izone_conv_BT,iiso) 
                   else
@@ -1835,15 +1825,15 @@
                   do izone=1,ntraceurs_zone
                     ixt=index_trac(izone,iiso)
-                    if (ixt.ne.ixt_recoit) then                    
+                    if (ixt.ne.ixt_recoit) THEN
                         xt(ixt_recoit,i,k)=xt(ixt_recoit,i,k) &
                                +xt(ixt,i,k)
                         xt(ixt,i,k)=0.0
-                    endif !if (ixt.ne.ixt_recoit) then
+                    endif !if (ixt.ne.ixt_recoit) THEN
                   enddo !do izone=1,ntraceurs_zone
                 enddo !do iiso=1,niso
-!                write(*,*) 'k,presnivs,ixt,ixt_recoit=',k,presnivs(k),
+!                WRITE(*,*) 'k,presnivs,ixt,ixt_recoit=',k,presnivs(k),
 !     :                   ixt,ixt_recoit
-!                write(*,*) 'xt(:,i,k)=',xt(:,i,k)
-            endif ! if (abs(rlat(i)).lt.35.0) then
+!                WRITE(*,*) 'xt(:,i,k)=',xt(:,i,k)
+            endif ! if (abs(rlat(i)).lt.35.0) THEN
           enddo !do i=1,klon
         enddo !do k=1,klev
@@ -1862,9 +1852,9 @@
 
         SUBROUTINE boite_AMMA_init(lat,lon,presnivs,boite_map)
-        USE dimphy, only: klon,klev
+        USE dimphy, ONLY: klon,klev
 #ifdef ISOVERIF
         USE isotopes_verif_mod
 #endif
-        USE isotrac_mod, only: izone_aej,izone_mousson,izone_harmattan
+        USE isotrac_mod, ONLY: izone_aej,izone_mousson,izone_harmattan
         IMPLICIT NONE
 
@@ -1876,10 +1866,10 @@
         integer i,k
 
-!        write(*,*) 'izone_aej,izone_mousson,izone_harmattan=',
+!        WRITE(*,*) 'izone_aej,izone_mousson,izone_harmattan=',
 !     :       izone_aej,izone_mousson,izone_harmattan    
         do k=1,klev
           do i=1,klon
                 boite_map(i,k)=0.0
-!                write(*,*) 'i,k,lat,lon,pres=',
+!                WRITE(*,*) 'i,k,lat,lon,pres=',
 !     :                   i,k,lat(i),lon(i),presnivs(k)
                 if ((presnivs(k).le.700.0*100.0).and. &
@@ -1888,23 +1878,23 @@
                     (lat(i).lt.20.0).and. &
                     (lon(i).gt.10.0).and. &
-                    (lon(i).lt.30.0)) then
+                    (lon(i).lt.30.0)) THEN
                    boite_map(i,k)=izone_aej
-!                   write(*,*) '   -> zone AEJ'
+!                   WRITE(*,*) '   -> zone AEJ'
                 else if ((presnivs(k).ge.850.0*100.0).and. &
                     (lat(i).gt.-5.0).and. &
                     (lat(i).le.8.0).and. &
                     (lon(i).gt.-40.0).and. &
-                    (lon(i).lt.15.0)) then
+                    (lon(i).lt.15.0)) THEN
                    boite_map(i,k)=izone_mousson
-!                   write(*,*) '   -> zone flux de mousson'
+!                   WRITE(*,*) '   -> zone flux de mousson'
                 else if ((presnivs(k).gt.700.0*100.0).and. &
                     (lat(i).ge.20.0).and. &
                     (lat(i).lt.30.0).and. &
                     (lon(i).gt.-10.0).and. &
-                    (lon(i).lt.40.0)) then
+                    (lon(i).lt.40.0)) THEN
                    boite_map(i,k)=izone_harmattan
-!                   write(*,*) '   -> zone Harmattan'
+!                   WRITE(*,*) '   -> zone Harmattan'
                 endif
-!                write(*,*) '   ** boite_map=',boite_map(i,k)
+!                WRITE(*,*) '   ** boite_map=',boite_map(i,k)
           enddo
         enddo
@@ -1915,6 +1905,6 @@
         
         SUBROUTINE boite_UT_extra_init(lat,lon,presnivs,boite_map)
-        USE dimphy, only: klon,klev
-        use isotrac_mod, only: izone_extra,izone_trop
+        USE dimphy, ONLY: klon,klev
+        use isotrac_mod, ONLY: izone_extra,izone_trop
 #ifdef ISOVERIF
         USE isotopes_verif_mod
@@ -1929,20 +1919,20 @@
         integer i,k
 
-!        write(*,*) 'izone_trop,izone_extra=',
+!        WRITE(*,*) 'izone_trop,izone_extra=',
 !     :       izone_trop,izone_extra    
         do k=1,klev
           do i=1,klon
                 boite_map(i,k)=0.0
-!                write(*,*) 'i,k,lat,lon,pres=',
+!                WRITE(*,*) 'i,k,lat,lon,pres=',
 !     :                   i,k,lat(i),lon(i),presnivs(k)
                 if ((presnivs(k).le.500.0*100.0) &
-                    .and.(abs(lat(i)).lt.15.0)) then
+                    .and.(abs(lat(i)).lt.15.0)) THEN
                    boite_map(i,k)=izone_trop
-!                   write(*,*) '   -> zone trop'
-                else if (abs(lat(i)).gt.35.0) then
+!                   WRITE(*,*) '   -> zone trop'
+                else if (abs(lat(i)).gt.35.0) THEN
                    boite_map(i,k)=izone_extra
-!                   write(*,*) '   -> zone extratropiques'
+!                   WRITE(*,*) '   -> zone extratropiques'
                 endif
-!                write(*,*) '   ** boite_map=',boite_map(i,k)
+!                WRITE(*,*) '   ** boite_map=',boite_map(i,k)
           enddo
         enddo
@@ -1953,5 +1943,5 @@
 
         function index_zone_lat(lat)
-        use isotrac_mod, only: lattag_min,dlattag,nzone_lat
+        use isotrac_mod, ONLY: lattag_min,dlattag,nzone_lat
         IMPLICIT NONE
 
@@ -1961,5 +1951,5 @@
         integer index_zone_lat
 
-        if (lat.lt.lattag_min) then
+        if (lat.lt.lattag_min) THEN
                 index_zone_lat=1
         else
@@ -1969,9 +1959,9 @@
 
 
-        end function index_zone_lat
+        END FUNCTION index_zone_lat
 
 
         function index_zone_pres(pres)
-        use isotrac_mod, only: nzone_pres,zone_pres
+        use isotrac_mod, ONLY: nzone_pres,zone_pres
         IMPLICIT NONE
 
@@ -1984,10 +1974,10 @@
         
         index_zone_pres=find_index(pres,nzone_pres,zone_pres) 
-        write(*,*) 'iso_traceurs_routines 802: pres,index_zone_pres=', &
+        WRITE(*,*) 'iso_traceurs_routines 802: pres,index_zone_pres=', &
                  pres,index_zone_pres
-        write(*,*) 'zone_pres=',zone_pres(1:nzone_pres-1)
-
-
-        end function index_zone_pres
+        WRITE(*,*) 'zone_pres=',zone_pres(1:nzone_pres-1)
+
+
+        END FUNCTION index_zone_pres
 
         function find_index(pres,nzone_pres,zone_pres)
@@ -2002,14 +1992,14 @@
         logical continu
 
-        if (nzone_pres.gt.1) then
-          if (pres.ge.zone_pres(1)) then
+        if (nzone_pres.gt.1) THEN
+          if (pres.ge.zone_pres(1)) THEN
                 find_index=1
-          else if (pres.lt.zone_pres(nzone_pres-1)) then
+          else if (pres.lt.zone_pres(nzone_pres-1)) THEN
                 find_index=nzone_pres
-          else !if (t(i,k).ge.zone_temp1) then
+          else !if (t(i,k).ge.zone_temp1) THEN
                 continu=.TRUE.
                 find_index=2
                 do while (continu)
-                  if (pres.ge.zone_pres(find_index)) then
+                  if (pres.ge.zone_pres(find_index)) THEN
                      continu=.FALSE.
                      ! c'est izone_temp, zone trouvée
@@ -2018,15 +2008,12 @@
                   endif     
                 enddo !do while (continu)
-           endif !if (t(i,k).ge.zone_temp1) then
-
-        else !if (nzone_pres.gt.1) then
+           endif !if (t(i,k).ge.zone_temp1) THEN
+        else !if (nzone_pres.gt.1) THEN
             find_index=1
-        endif !if (nzone_pres.gt.1) then
-
-
-        end function find_index
+        endif !if (nzone_pres.gt.1) THEN
+        END FUNCTION find_index
 
         function index_zone_latpres(lat,pres)
-        use isotrac_mod, only: nzone_lat
+        use isotrac_mod, ONLY: nzone_lat
         IMPLICIT NONE
 
@@ -2046,12 +2033,12 @@
 
 
-        end function index_zone_latpres
+        END FUNCTION index_zone_latpres
 
         SUBROUTINE iso_recolorise_condensation(qt,cond, &
                  xt,zxtcond,tcond,ep,xtres, &
                  seuil_in)
-        USE dimphy, only: klon,klev
-        USE isotopes_mod, only: bidouille_anti_divergence,iso_eau
-        use isotrac_mod, only: option_seuil_tag_tmin,izone_cond, &
+        USE dimphy, ONLY: klon,klev
+        USE isotopes_mod, ONLY: bidouille_anti_divergence,iso_eau
+        use isotrac_mod, ONLY: option_seuil_tag_tmin,izone_cond, &
 &       nzone_temp,zone_temp
 #ifdef ISOVERIF
@@ -2085,6 +2072,5 @@
 !        real f
 
-        if ((cond.gt.0.0).and.(qt.gt.0.0)) then        
-
+        if ((cond.gt.0.0).and.(qt.gt.0.0)) THEN
             izone_temp=find_index(tcond,nzone_temp,zone_temp)
 !            WRITE(*,*) 'pgm 901 tmp: izone_temp=',izone_temp    
@@ -2100,5 +2086,5 @@
 #endif           
           ! bidouille
-          if (bidouille_anti_divergence) then
+          if (bidouille_anti_divergence) THEN
               CALL iso_verif_traceur_jbidouille(xt)
               CALL iso_verif_traceur_jbidouille(zxtcond)
@@ -2111,5 +2097,5 @@
             xtres(ixt)=0.0
           enddo
-!          write(*,*) 'iso_trac_routines tmp 916: xtres=',xtres
+!          WRITE(*,*) 'iso_trac_routines tmp 916: xtres=',xtres
 
 #ifdef ISOVERIF 
@@ -2122,8 +2108,8 @@
              ! cas de izone sfc et izone precip et izone cond et izone< izone_temp
 
-!             write(*,*) 'iso_trac 940: cond/qt,seuil_in,izone_temp=',
+!             WRITE(*,*) 'iso_trac 940: cond/qt,seuil_in,izone_temp=',
 !     :                   cond/qt,seuil_in,izone_temp
 
-             if (option_seuil_tag_tmin.eq.2) then
+             if (option_seuil_tag_tmin.eq.2) THEN
                  qmicro=0.0
                  do izone=nzone_temp+1,ntraceurs_zone 
@@ -2131,5 +2117,5 @@
                    qmicro=qmicro+xt(ixt)
                  enddo !do izone=nzone_temp+1,ntraceurs_zone
-                 if (qt-qmicro.gt.0.0) then 
+                 if (qt-qmicro.gt.0.0) THEN
                      fcond=(cond-qmicro)/(qt-qmicro)
                  else
@@ -2140,9 +2126,8 @@
              endif
        
-             if (fcond.gt.seuil_in) then
-
+             if (fcond.gt.seuil_in) THEN
              ! on les transfert à izone_temp
              do izone=1,ntraceurs_zone
-               if ((izone.gt.nzone_temp).or.(izone.lt.izone_temp)) then
+               if ((izone.gt.nzone_temp).or.(izone.lt.izone_temp)) THEN
 !                 ieau=index_trac(izone,iso_eau)
                  do iiso=1,niso  
@@ -2152,28 +2137,26 @@
                          +(xt(ixt)-zxtcond(ixt))
                    xtres(ixt)=0.0   
-!                   write(*,*) 'iso_trac 920: izone,ixt,',
+!                   WRITE(*,*) 'iso_trac 920: izone,ixt,',
 !     :                 'ixt_recoit=',
 !     :                 izone,ixt,ixt_recoit     
-!                   write(*,*) 'isotrac 924: xt=',xt
-!                   write(*,*) 'isotrac 925: zxtcond=',zxtcond
+!                   WRITE(*,*) 'isotrac 924: xt=',xt
+!                   WRITE(*,*) 'isotrac 925: zxtcond=',zxtcond
                  enddo !do iiso=1,niso
-!                 write(*,*) 'iso_trac tmp 944: izone,xtres=',izone,xtres
-                endif !if (izone.ne.izone_cond) then  
+!                 WRITE(*,*) 'iso_trac tmp 944: izone,xtres=',izone,xtres
+                endif !if (izone.ne.izone_cond) THEN
               enddo !do izone=nzones_temp+1,ntraceurs_zone
 
-             else !if (cond/qt.gt.seuil_in) then
-                
+             else !if (cond/qt.gt.seuil_in) THEN
                 ! on les laisse sur place
                do izone=1,ntraceurs_zone
-                if ((izone.gt.nzone_temp).or.(izone.lt.izone_temp)) then
+                if ((izone.gt.nzone_temp).or.(izone.lt.izone_temp)) THEN
                  do iiso=1,niso  
                    ixt= index_trac(izone,iiso)    
                    xtres(ixt)=(xt(ixt)-zxtcond(ixt))
                  enddo !do iiso=1,niso
-                endif !if (izone.ne.izone_cond) then  
+                endif !if (izone.ne.izone_cond) THEN
                enddo !do izone=nzones_temp+1,ntraceurs_zone
 
-             endif !if (cond/qt.gt.seuil_in) then
-
+             endif !if (cond/qt.gt.seuil_in) THEN
               ! izone_temp est conservé, on lui enlève juste son
               ! condesat
@@ -2197,24 +2180,23 @@
                    ixt= index_trac(izone,iiso)
                    xtres(ixt)=xt(ixt)-zxtcond(ixt)
-!                   write(*,*) 'iso_trac 931: izone,ixt,ixt_recoit=',
+!                   WRITE(*,*) 'iso_trac 931: izone,ixt,ixt_recoit=',
 !     :                 izone,ixt,ixt_recoit       
-!                   write(*,*) 'isotrac 934: xt=',xt
-!                   write(*,*) 'isotrac 935: zxtice=',zxtice
+!                   WRITE(*,*) 'isotrac 934: xt=',xt
+!                   WRITE(*,*) 'isotrac 935: zxtice=',zxtice
                enddo !do iiso=1,niso  
-!               write(*,*) 'iso_trac tmp 965: izone,xtres=',izone,xtres
+!               WRITE(*,*) 'iso_trac tmp 965: izone,xtres=',izone,xtres
              enddo !do izone=izone_temp+1,nzones_temp
 
              ! on rajoute le condensat qui ne precipite pas
-             if (ep.lt.1.0) then
+             if (ep.lt.1.0) THEN
                do iiso=1,niso    
                    ixt= index_trac(izone_cond,iiso) 
                    xtres(ixt)=xtres(ixt)+(1.0-ep)*zxtcond(iiso)
-!                   write(*,*) 'iso_trac 940: izone,ixt,ixt_recoit=',
+!                   WRITE(*,*) 'iso_trac 940: izone,ixt,ixt_recoit=',
 !     :                 izone,ixt,ixt_recoit     
-!                   write(*,*) 'isotrac 1014: xt=',xt
-!                   write(*,*) 'isotrac 945: zxtice=',zxtice
+!                   WRITE(*,*) 'isotrac 1014: xt=',xt
+!                   WRITE(*,*) 'isotrac 945: zxtice=',zxtice
                 enddo  !do iiso=1,niso      
-            endif !if (ep.lt.0.0) then
-
+            endif !if (ep.lt.0.0) THEN
         else
             ! si cond=0 ou qt=0, tot reste pareil
@@ -2223,13 +2205,12 @@
            enddo  !do ixt=1,ntraciso     
 
-        endif ! if (qt.gt.0.0) then    
-
+        endif ! if (qt.gt.0.0) THEN
 #ifdef ISOVERIF
         if (iso_verif_traceur_jm_nostop(xtres, &
-                'iso_trac_routines 166').eq.1) then
-          write(*,*) 'isotrac 1024: xt=',xt
-          write(*,*) 'zxtcond=',zxtcond
-          write(*,*) 'xtres=',xtres
-          write(*,*) 'ep=',ep
+                'iso_trac_routines 166').eq.1) THEN
+          WRITE(*,*) 'isotrac 1024: xt=',xt
+          WRITE(*,*) 'zxtcond=',zxtcond
+          WRITE(*,*) 'xtres=',xtres
+          WRITE(*,*) 'ep=',ep
           stop
         endif 
@@ -2239,17 +2220,17 @@
           CALL iso_verif_positif(xtres(ixt),'iso_trac_routines 953')
         enddo
-        if (nzone_temp.ge.5) then 
+        if (nzone_temp.ge.5) THEN
         if (iso_verif_tag17_q_deltaD_chns(xtres, &
-                 'iso_trac_routines 1025').eq.1) then
-            write(*,*) 'xt=',xt
-            write(*,*) 'zxtcond=',zxtcond
-            write(*,*) 'xtres=',xtres
-            write(*,*) 'ep=',ep
-            write(*,*) 'tcond=',tcond
-            write(*,*) 'izone_temp=',izone_temp
+                 'iso_trac_routines 1025').eq.1) THEN
+            WRITE(*,*) 'xt=',xt
+            WRITE(*,*) 'zxtcond=',zxtcond
+            WRITE(*,*) 'xtres=',xtres
+            WRITE(*,*) 'ep=',ep
+            WRITE(*,*) 'tcond=',tcond
+            WRITE(*,*) 'izone_temp=',izone_temp
             stop
         endif
         endif
-!       write(*,*) 'isotrac 1048: sortie de iso_recolorise_condensation'
+!       WRITE(*,*) 'isotrac 1048: sortie de iso_recolorise_condensation'
 #endif
 
@@ -2258,6 +2239,6 @@
 
         SUBROUTINE bassin_map_init_opt20(lat,bassin_map)
-        USE dimphy, only: klon
-        use isotrac_mod, only: izone_cont,izone_trop,lim_tag20
+        USE dimphy, ONLY: klon
+        use isotrac_mod, ONLY: izone_cont,izone_trop,lim_tag20
 #ifdef ISOVERIF
         USE isotopes_verif_mod
@@ -2272,7 +2253,7 @@
         integer i
 
-        write(*,*) 'iso_traceurs_routines 1142: lim_tag20=',lim_tag20
+        WRITE(*,*) 'iso_traceurs_routines 1142: lim_tag20=',lim_tag20
         do i=1,klon
-         if (abs(lat(i)).gt.lim_tag20) then   
+         if (abs(lat(i)).gt.lim_tag20) THEN
              bassin_map(i)=izone_cont
          else  
@@ -2286,6 +2267,6 @@
         SUBROUTINE isotrac_recolorise_general(xt_seri,t_seri,zx_rh,presnivs)
         USE lmdz_geometry, ONLY: latitude_deg
-        USE dimphy, only: klon,klev
-        use isotrac_mod, only: option_traceurs,boite_map
+        USE dimphy, ONLY: klon,klev
+        use isotrac_mod, ONLY: option_traceurs,boite_map
         IMPLICIT NONE
 
@@ -2296,18 +2277,16 @@
         real, dimension(klev), intent(in) :: presnivs
 
-              if (option_traceurs.eq.4) then
+              if (option_traceurs.eq.4) THEN
          CALL isotrac_recolorise_tmin(xt_seri,t_seri)
       elseif ((option_traceurs.eq.5).or. &
-                  (option_traceurs.eq.21)) then
+                  (option_traceurs.eq.21)) THEN
         CALL isotrac_recolorise_boite(xt_seri,boite_map)
-      elseif (option_traceurs.eq.13) then
+      elseif (option_traceurs.eq.13) THEN
         CALL isotrac_recolorise_tmin_sfrev(xt_seri,t_seri)
-      elseif (option_traceurs.eq.14) then
+      elseif (option_traceurs.eq.14) THEN
         CALL isotrac_recolorise_saturation(xt_seri,zx_rh,latitude_deg,presnivs)
-      elseif (option_traceurs.eq.20) then      
+      elseif (option_traceurs.eq.20) THEN
         CALL isotrac_recolorise_extra(xt_seri,latitude_deg)
-      endif !if (option_traceurs.eq.4) then
-
-
+      endif !if (option_traceurs.eq.4) THEN
         END SUBROUTINE  isotrac_recolorise_general
 
@@ -2317,5 +2296,5 @@
         SUBROUTINE iso_verif_traceur_jbid_vect(x,n,m)
         USE isotopes_mod, ONLY: bidouille_anti_divergence,iso_eau,ridicule
-        !use isotrac_mod, only: ntraceurs_zone=>nzone
+        !use isotrac_mod, ONLY: ntraceurs_zone=>nzone
         USE infotrac_phy, ONLY: ntraceurs_zone=>nzone
         IMPLICIT NONE
@@ -2330,5 +2309,5 @@
        real xtractot(n,m)
                 
-        if (bidouille_anti_divergence) then        
+        if (bidouille_anti_divergence) THEN
         do iiso=1,niso
 
@@ -2354,9 +2333,9 @@
             do j=1,m
              do i=1,n
-!              if (abs(xtractot(i,j)).gt.ridicule*10) then 
-               if (abs(xtractot(i,j)).gt.ridicule) then 
+!              if (abs(xtractot(i,j)).gt.ridicule*10) THEN
+               if (abs(xtractot(i,j)).gt.ridicule) THEN
                    ! modif le 19 fev 2011
                   x(ixt,i,j)=x(ixt,i,j)/xtractot(i,j)*x(iiso,i,j) 
-              endif !if (abs(xtractot(i,j)).gt.ridicule*10) then
+              endif !if (abs(xtractot(i,j)).gt.ridicule*10) THEN
              enddo !do i=1,n
             enddo !do j=1,m   
